Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.api
Enum PathValidation

    java.lang.Object
      java.lang.Enum<PathValidation>
          org.gradle.api.PathValidation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PathValidation>

    public enum PathValidation

extends java.lang.Enum<PathValidation>

An enumeration for describing validation policies for file paths.

Enum Constant Summary
`DIRECTORY`
`EXISTS`
`FILE`
`NONE`

Method Summary
`static PathValidation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PathValidation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final PathValidation NONE

### EXISTS

    public static final PathValidation EXISTS

### FILE

    public static final PathValidation FILE

### DIRECTORY

    public static final PathValidation DIRECTORY

Method Detail

### values

    public static final PathValidation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PathValidation c : PathValidation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PathValidation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD